Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 161438

Summary: endian problems on ppc
Product: [Fedora] Fedora Reporter: David Zeuthen <davidz>
Component: gtk+Assignee: Matthias Clasen <mclasen>
Status: CLOSED UPSTREAM QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mclasen, otaylor
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-06-27 01:08:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Zeuthen 2005-06-23 13:45:20 UTC
Description of problem:

Images are drawn in the wrong way with the new GTK+ 2.7 and/or Cairo. See
http://freedesktop.org/~david/yay-endian-fun.png for details. This is on ppc32
(Apple Powerbook G4 12") updated to Rawhide as of yesterday Wed June 22 2005.

Comment 1 David Zeuthen 2005-06-24 02:53:08 UTC
OK, tried GTK+ from HEAD and Owen's fix helped a bit insofar that
gnome-background-properties work but it's not quite there yet

 http://freedesktop.org/~david/yay-endian-fun-part2.png



Comment 2 David Zeuthen 2005-06-27 01:08:06 UTC
Closing this bug as Owen fixed it two days ago on GTK+ HEAD and this fix will
appear in the next GTK+ release. Thanks.